<?php

namespace Mkb\Sdk\Exceptions;

class ServletResponseException extends \Exception
{
    /**
     * @var mixed
     */
    protected $responseBody;

    /**
     * ServerResponseException constructor.
     * @param string $message
     * @param int $code
     * @param string $responseBody
     */
    public function __construct($message = '', $code = 0, $responseBody = null)
    {
        parent::__construct($message, $code);
        $this->responseBody = $responseBody;
    }

    /**
     * @return mixed
     */
    public function getResponseBody()
    {
        return $this->responseBody;
    }
}